Subject: [imapext] ABNF comments on draft-kundrat-incthread-01.txt

From: Alexey Melnikov <[email-masked]>
Date: Wed, 21 Aug 2013 11:49:52 +0100

Hi Jan,

I see in the ABNF section:

      ret-data-thread     = "THREAD" [SP 1*thread-list]
          ;; <thread-list> from [RFC5256]

      ret-data-incthread  = "INCTHREAD" SP uid SP thread-list
          ;; <uid> from [RFC3501]
          ;; <thread-list> from [RFC5256]

      search-return-data  =/ ret-data-thread / ret-data-incthread
          ;; <search-return-data> from [RFC4466]

RFC 4466 requires that search-return-data either contains a simple type 
parameter (atom/number/set) or a complex piece of data enclosed in (). 
So you are missing (). I think your ABNF (and examples) should be updated:

      ret-data-thread     = "THREAD" [SP "(" 1*thread-list ")" ]
          ;; <thread-list> from [RFC5256]

      ret-data-incthread  = "INCTHREAD" SP "(" uid SP thread-list ")"
          ;; <uid> from [RFC3501]
          ;; <thread-list> from [RFC5256]

Best Regards,
Alexey

---

From: Jan Kundrát <[email-masked]>
Date: Tue, 27 Aug 2013 11:24:55 +0200

On Wednesday, 21 August 2013 12:49:52 CEST, Alexey Melnikov wrote:
> RFC 4466 requires that search-return-data either contains a 
> simple type parameter (atom/number/set) or a complex piece of 
> data enclosed in (). So you are missing (). I think your ABNF 
> (and examples) should be updated:

Hi Alexey,
thanks for catching this. I've now pushed a new version, -02, which 
includes this fix.

With kind regards,
Jan

http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-kundrat-incthread-02.txt

-- 
Trojitá, a fast Qt IMAP e-mail client -- http://trojita.flaska.net/